<!DOCTYPE html>
<html lang="pt-br" dir="ltr">

<head>
   <title>Diplomaz</title>
   <script src="https://www.gstatic.com/firebasejs/7.23.0/firebase-app.js"></script>
   <script src="https://www.gstatic.com/firebasejs/7.23.0/firebase-auth.js"></script>
   <script src="https://www.gstatic.com/firebasejs/7.23.0/firebase-firestore.js"></script>
   <link rel="shortcut icon" type="imagem/x-icon" href="./images/icon-page.png" />
   <link rel="stylesheet" href="./styles/index/style.css">
   <meta charset="UTF-8">
   <script src="scripts/env.js"></script>
   <script src="scripts/script.js"></script>

</head>

<body>
   <div class="wrapper">
      <div class="title-text">
         <div class="title login">
            Login
         </div>
         <div class="title signup">
            Cadastro
         </div>
      </div>
      <div class="form-container">
         <div class="slide-controls">
            <input type="radio" name="slide" id="login" checked>
            <input type="radio" name="slide" id="signup">
            <label for="login" class="slide login">Login</label>
            <label for="signup" class="slide signup">Cadastro</label>
            <div class="slider-tab"></div>
         </div>
         <div class="form-inner">
            <form action="#" class="login">
               <div class="field">
                  <input id="email_login" type="email" placeholder="Email" required>
               </div>
               <div class="field">
                  <input id="password_login" type="password" placeholder="Senha" required>
               </div>
               <div class="pass-link">
                  <a id="esqueceuSenha" onclick="RedefinirSenha()">Esqueceu a senha?</a>
               </div>
               <div class="field btn">
                  <div class="btn-layer"></div>
                  <input type="submit" value="Login" onclick="Autenticar()">
               </div>
               <div class="signup-link">
                  Não é membro? <a href="">Registre-se agora</a>
               </div>
            </form>
            <form action="#" class="signup">
               <div class="field">
                  <input id="email_register" type="text" placeholder="Email" required>
               </div>
               <div class="field">
                  <input id="password_register" type="password" placeholder="Senha" required>
               </div>
               <div class="field">
                  <label for="role">Selecione o papel:</label>
                  <select id="role" name="role">
                     <option value="user" selected>Usuário</option>
                     <option value="admin">Admin</option>
                  </select>
               </div>
               <div class="field btn">
                  <div class="btn-layer"></div>
                  <input type="submit" value="Registre-se" onclick="CadastrarUsuario()">
               </div>
            </form>
         </div>
      </div>
   </div>
   <script>
      const loginText = document.querySelector(".title-text .login");
      const loginForm = document.querySelector("form.login");
      const loginBtn = document.querySelector("label.login");
      const signupBtn = document.querySelector("label.signup");
      const signupLink = document.querySelector("form .signup-link a");
      signupBtn.onclick = (() => {
         loginForm.style.marginLeft = "-50%";
         loginText.style.marginLeft = "-50%";
      });
      loginBtn.onclick = (() => {
         loginForm.style.marginLeft = "0%";
         loginText.style.marginLeft = "0%";
      });
      signupLink.onclick = (() => {
         signupBtn.click();
         return false;
      });
   </script>
</body>

</html>
